#!/usr/local/bin/perl -w
use Tk;

my $main = new MainWindow;
my %buttons = ();
foreach $b ('info', 'mail') {
    $buttons{$b} = $main->Button(-text => $b, -bg => "red",
                  -command => [ \&print_name, $b])
       ->pack(-side => 'left');
}
$buttons{"no_flash"} = $main->Button(-text => "no_flash", -bg => "red")
       ->pack(-side => 'left');

$main->Button(-text => 'Exit', 
              -command => sub { $buttons{"info"}->invoke(); exit ; }) 
       ->pack(-side => 'left');

MainLoop;

sub print_name {
   print "$_[0] was pressed!\n" ;
   $buttons{$_[0]}->flash();
}
