#!/usr/local/bin/perl -w
use Tk;
use strict;
my $main = new MainWindow;
my $exit_b = $main->Button(-text => 'Exit', -background => 'red',
                           -command => sub { exit; })
                -> pack(-side => 'left');
$main->Button(-text => 'Info about left button', 
              -command => \&printInfo )
       ->pack(-side => 'left');

MainLoop;

sub printInfo { 
  my $state = $exit_b->cget(-state);
  print "state = $state\n";
  my $text = $exit_b->cget(-text);
  print "text = $text\n";
  $exit_b->configure(-text => "Done now", -bg => "blue");
}
